gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.TextViewAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype TextViewAccessible = TextViewAccessible (ManagedPtr TextViewAccessible)
- class (GObject o, IsDescendantOf TextViewAccessible o) => IsTextViewAccessible o
- toTextViewAccessible :: (MonadIO m, IsTextViewAccessible o) => o -> m TextViewAccessible

# Exported types

newtype TextViewAccessible Source #

Memory-managed wrapper type.

Constructors

TextViewAccessible (ManagedPtr TextViewAccessible) |

#### Instances

Instances details

Eq TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible Methods (==) :: TextViewAccessible -> TextViewAccessible -> Bool Source # (/=) :: TextViewAccessible -> TextViewAccessible -> Bool Source #
GObject TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible
ManagedPtrNewtype TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible Methods toManagedPtr :: TextViewAccessible -> ManagedPtr TextViewAccessible Source #
TypedObject TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible Methods glibType :: IO GType Source #
HasParentTypes TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible
IsGValue (Maybe TextViewAccessible) Source # | Convert `TextViewAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.TextViewAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TextViewAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TextViewAccessible) Source #
type ParentTypes TextViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible type ParentTypes TextViewAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, EditableText, StreamableContent, Text]

class (GObject o, IsDescendantOf TextViewAccessible o) => IsTextViewAccessible o Source #

Type class for types which can be safely cast to `TextViewAccessible`, for instance with `toTextViewAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf TextViewAccessible o) => IsTextViewAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.TextViewAccessible

toTextViewAccessible :: (MonadIO m, IsTextViewAccessible o) => o -> m TextViewAccessible Source #

Cast to `TextViewAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, copyText, cutText, deleteText, forceFloating, freezeNotify, getv, grabFocus, initialize, insertText, isFloating, notify, notifyByPspec, notifyStateChange, pasteText, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getBoundedRanges, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getData, getDefaultAttributes, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getMimeType, getNAccessibleChildren, getNMimeTypes, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getParent, getPosition, getProperty, getQdata, getRangeExtents, getRole, getRunAttributes, getSelection, getSize, getStream, getStringAtOffset, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getUri, getWidget.

#### Setters

setAccessibleId, setCaretOffset, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setRunAttributes, setSelection, setSize, setTextContents, setWidget.